# enpls  <a href="http://enpls.org"><img src="http://nanx.me/images/project-enpls.png" align="right" alt="logo" height="180" width="180" /></a>

[![Build Status](https://travis-ci.org/road2stat/enpls.svg?branch=master)](https://travis-ci.org/road2stat/enpls)
[![AppVeyor Build Status](https://ci.appveyor.com/api/projects/status/github/road2stat/enpls?branch=master&svg=true)](https://ci.appveyor.com/project/road2stat/enpls)
[![CRAN Version](http://www.r-pkg.org/badges/version/enpls)](https://cran.r-project.org/package=enpls)
[![Downloads from the RStudio CRAN mirror](http://cranlogs.r-pkg.org/badges/enpls)](http://cranlogs.r-pkg.org/badges/enpls)

`enpls` offers an algorithmic framework for measuring feature importance, outlier detection, model applicability domain evaluation, and ensemble predictive modeling with (sparse) partial least squares regressions.

## Installation

Install `enpls` from CRAN:

```r
install.packages("enpls")
```

Or try the development version on GitHub:

```r
# install.packages("devtools")
devtools::install_github("road2stat/enpls")
```

See [the vignette](http://enpls.org/doc/) (or open with `vignette("enpls")` in R) for a quick-start guide.

## Gallery

### Measuring Feature Importance

<img src="http://enpls.org/img/enpls-fs.png" width="49%" alt="enpls-fs">
<img src="http://enpls.org/img/enpls-fs-boxplot.png" width="49%" alt="enpls-fs-boxplot">

### Outlier Detection

<img src="http://enpls.org/img/enpls-od-1.png" width="49%" alt="enpls-od-1">
<img src="http://enpls.org/img/enpls-od-2.png" width="49%" alt="enpls-od-2">

### Model Applicability Domain Evaluation / Ensemble Predictive Modeling

<img src="http://enpls.org/img/enpls-ad.png" width="49%" alt="enpls-ad">
<img src="http://enpls.org/img/enpls-fit.png" width="49%" alt="enpls-fit">

## Links

* Web: [http://enpls.org](http://enpls.org)
* CRAN: [https://cran.r-project.org/package=enpls](https://cran.r-project.org/package=enpls)
* GitHub: [https://github.com/road2stat/enpls](https://github.com/road2stat/enpls)
